rawset(_G, "speckichars", {})

speckichars.VERSION = "v1 (indev)"

speckichars.skins = {
	"specki",
	"maril"
}

speckichars.isSpeckiChar = function(skin)
	for _, v in ipairs(speckichars.skins) do
		if type(skin) == "string" then
			if skin == v then return true else continue end
		elseif type(skin) == "number" then
			if skins[skin].name == v then return true else continue end
		end		
	end
	
	return false
end

freeslot(
	"S_SPECKI_DANCE", 
	"S_SPECKI_PRIDE",
	"S_SPECKI_SLEEP"
)

states[S_SPECKI_SLEEP] = {
	sprite = SPR_PLAY,
	frame = SPR2_BNCE|FF_ANIMATE,
	tics = -1,
	var1 = 1,
	var2 = 35,
	nextstate = nil
}

states[S_SPECKI_DANCE] = {
	sprite = SPR_PLAY,
	frame = SPR2_MLEE|FF_ANIMATE,
	tics = -1,
	var1 = 5,
	var2 = (35*FRACUNIT)/1000*150/FRACUNIT,
	nextstate = nil
}

states[S_SPECKI_PRIDE] = {
	sprite = SPR_PLAY,
	frame = SPR2_MLEL|FF_ANIMATE,
	tics = -1,
	var1 = 1,
	var2 = (35*FRACUNIT)/1000*150/FRACUNIT,
	nextstate = nil
}

local files = {
	"stuffused/custom_hud.lua",
	"speckimovesets.lua",
	"maril.lua",
	"menu.lua",
	"hud.lua",
	"music.lua",
	"pizza.lua"
}

for i=1, #files do
	dofile(files[i])
end