-- speckichars menu, characters-only, not in full version

COM_AddCommand("specki_customize", function(p)
	if not (p.mo and p.mo.valid) then 
		CONS_Printf(p, "Sorry, but this command can only be used in-level!!\n")
		return 
	end
	
	if not p.mo.health or (p.mo.skin ~= "specki" and p.mo.skin ~= "maril") then
		CONS_Printf(p, "Hey, you're either trying to open the customize menu as someone other than specki or maril, or you're dead, hold on until you're properly here!\n")
		return
	end
	
	if not p.speckichars_menu then
		p.speckichars_menu = true
		p.premenumus = S_MusicName()
		S_ChangeMusic("CSTMZE", true, p, 0, 0, 100, 100)
	else
		p.speckichars_menu = false
		S_ChangeMusic(p.premenumus, true, p, 0, 0, 100, 100)
	end
end)

addHook("MapChange", do
	for p in players.iterate do
		p.alivetime = 0
		p.speckichars_menu = false
		p.openedspeckichars_menu = false
	end
end)

addHook("PlayerThink", function(p)
	if not (p.mo and p.mo.valid) then return end
	if not p.mo.health or (p.mo.skin ~= "specki" and p.mo.skin ~= "maril") then return end
	
	if p.speckichars_menu == nil then
		p.speckichars_menu = false
	end
	
	if p.openedspeckichars_menu == nil then
		p.openedspeckichars_menu = false
	end
	
	if not p.alivetime then
		p.alivetime = 1
	else
		p.alivetime = $+1
	end
	
	if (p.cmd.buttons & BT_CUSTOM2) then
		p.openmenutimer = $+1
	else
		p.openmenutimer = 0
	end
	
	if p.openmenutimer >= 105 then
		COM_BufInsertText(p, "specki_customize")
		p.openmenutimer = 0
	end
	
	if p.speckichars_menu then
		p.openedspeckichars_menu = true
	end
end)

-- The menu is draw in hud.lua.